contracts / CrowdFund / State

# State

`data class State : ContractState`

### Constructors

<init> | `State(campaign: Campaign, closed: Boolean = false, pledges: List<Pledge> = ArrayList())`

### Properties

campaign | `val campaign: Campaign`
closed | `val closed: Boolean`
contract | `val contract: CrowdFund` Contract by which the state belongs
pledgedAmount | `val pledgedAmount: Amount`
pledges | `val pledges: List<Pledge>`